Subject: linux-next: build failure after merge of the vhost tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 1 Jun 2022 11:42:40 +1000

Hi all,

After merging the vhost tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

drivers/virtio/virtio_ring.c: In function 'virtqueue_add':
drivers/virtio/virtio_ring.c:1783:16: error: 'vq' undeclared (first use in this function); did you mean '_vq'?
 1783 |         return vq->packed_ring ? virtqueue_add_packed(_vq, sgs, total_sg,
      |                ^~
      |                _vq
drivers/virtio/virtio_ring.c:1783:16: note: each undeclared identifier is reported only once for each function it appears in
drivers/virtio/virtio_ring.c:1787:1: error: control reaches end of non-void function [-Werror=return-type]
 1787 | }
      | ^

Caused by commit

  a50f09346a34 ("virtio_ring: remove unused variable in virtqueue_add()")

I am sorry, but I expect better review and build testing than this :-(

I have used the vhost tree from next-20220531 for today.

-- 
Cheers,
Stephen Rothwell